import secureLocalStorage from 'react-secure-storage';

export const loadItem = (key: string, failReturn: any = null) => {
  try {
    const item = localStorage.getItem(key)

    return item ? JSON.parse(item) : failReturn;
  } catch (err) {
    return failReturn;
  }
};

export const saveItem = (
  key: string,
  value: any,
  secure: boolean = false,
  callback: any = null
) => {
  const storage = secure ? secureLocalStorage : localStorage;

  try {
    callback ?? callback();
    storage.setItem(key, JSON.stringify(value));
  } catch (err) {}
};
